Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class RerouteInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.RerouteInfo

public class RerouteInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

Holds information about a task reroute.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_ROLE` Reroute tasks to a role.
`static int` | `TYPE_USER` Reroute tasks to another user.
`static int` | `TYPE_USERINROLE` Reroute tasks to a user in a role, using load-balancing.

Constructor Summary
`RerouteInfo(java.lang.String id, java.lang.String from, java.lang.String to, int type, java.sql.Timestamp effective, java.sql.Timestamp expiry)` Create a new `RerouteInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `RerouteInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `RerouteInfo` objects for equality.
`java.sql.Timestamp` | `getEffective()` Return the date/time at which the task reroute becomes effective.
`java.sql.Timestamp` | `getExpiry()` Return the date/time at which the task reroute ceases to be effective.
`java.lang.String` | `getFrom()` Return the participant for whom the system will reassign tasks.
`java.lang.String` | `getId()` Return the task reroute ID.
`java.lang.String` | `getTo()` Return the participant to whom the rerouted tasks will be assigned.
`int` | `getType()` Return the reroute type.
`void` | `setEffective(java.sql.Timestamp effective)` Set the date/time at which the task reroute becomes effective.
`void` | `setExpiry(java.sql.Timestamp expiry)` Set the date/time at which the task reroute expires.
`void` | `setFrom(java.lang.String from)` Set the participant from whom rerouted tasks will be reassigned.
`void` | `setTo(java.lang.String to)` Set the participant to whom rerouted tasks will be assigned.
`void` | `setType(int type)` Set the task reroute type.
`java.lang.String` | `toString()` Return a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_USER

    public static int TYPE_USER

  Reroute tasks to another user.

### TYPE_USERINROLE

    public static int TYPE_USERINROLE

  Reroute tasks to a user in a role, using load-balancing.

### TYPE_ROLE

    public static int TYPE_ROLE

  Reroute tasks to a role.

Constructor Detail

### RerouteInfo

    public RerouteInfo(java.lang.String id,
                       java.lang.String from,
                       java.lang.String to,
                       int type,
                       java.sql.Timestamp effective,
                       java.sql.Timestamp expiry)

  Create a new `RerouteInfo` object.

  Parameters:
    `id` - The reroute ID.
    `from` - The ID of the participant for whom the system will reassign tasks.
    `to` - The ID of the participant to whom the rerouted tasks will be assigned.
    `type` - Type of reroute: `TYPE_USER`, `TYPE_USERINROLE` or `TYPE_ROLE`.
    `effective` - Date/time at which reroute becomes effective.
    `expiry` - Date/time at which reroute ceases to be effective.

Method Detail

### getId

    public final java.lang.String getId()

  Return the task reroute ID.

  Returns:
    The task reroute ID.

### getFrom

    public final java.lang.String getFrom()

  Return the participant for whom the system will reassign tasks.

  Returns:
    ID of participant for whom the system will reassign tasks.
  See Also:
    `getTo()`

### getTo

    public final java.lang.String getTo()

  Return the participant to whom the rerouted tasks will be assigned.

  Returns:
    ID of participant to whom the rerouted tasks will be assigned.
  See Also:
    `getFrom()`, `setTo(java.lang.String)`

### getType

    public final int getType()

  Return the reroute type.

  Returns:
    The type of reroute: `TYPE_USER`, `TYPE_USERINROLE` or `TYPE_ROLE`.
  See Also:
    `setType(int)`

### getEffective

    public final java.sql.Timestamp getEffective()

  Return the date/time at which the task reroute becomes effective.

  Returns:
    The date/time at which the task reroute becomes effective.
  See Also:
    `setEffective(java.sql.Timestamp)`

### getExpiry

    public final java.sql.Timestamp getExpiry()

  Return the date/time at which the task reroute ceases to be effective.

  Returns:
    The date/time at which the task reroute ceases to be effective.
  See Also:
    `setExpiry(java.sql.Timestamp)`

### setFrom

    public void setFrom(java.lang.String from)

  Set the participant from whom rerouted tasks will be reassigned.

  Parameters:
    `to` - The ID of the participant from whom the rerouted tasks will be reassigned.
  Since:
    WebLogic Process Integrator version 1.2.
  See Also:
    `getFrom()`

### setTo

    public void setTo(java.lang.String to)

  Set the participant to whom rerouted tasks will be assigned.

  Parameters:
    `to` - The ID of the participant to whom the rerouted tasks will be assigned.
  See Also:
    `getTo()`

### setType

    public void setType(int type)

  Set the task reroute type.

  Parameters:
    `type` - The type of task reroute: `TYPE_USER`, `TYPE_USERINROLE` or `TYPE_ROLE`.
  See Also:
    `getType()`

### setEffective

    public void setEffective(java.sql.Timestamp effective)

  Set the date/time at which the task reroute becomes effective.

  Parameters:
    `effective` - The date/time at which the task reroute becomes effective.
  See Also:
    `getEffective()`

### setExpiry

    public void setExpiry(java.sql.Timestamp expiry)

  Set the date/time at which the task reroute expires.

  Parameters:
    `expiry` - The date/time after which task reroute expires.
  See Also:
    `getExpiry()`

### equals

    public boolean equals(java.lang.Object obj)

  Test two `RerouteInfo` objects for equality.

  Parameters:
    `obj` - The object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `RerouteInfo` with the same ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `RerouteInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - The object with which to compare this one. Must be `null` or an instance of `RerouteInfo`.
  Returns:
    The result of comparing the `from` and `to` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `RerouteInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)